## ros-indigo-genjava 0.1.5

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(genjava)

##############################################################################
# Find Package
##############################################################################

find_package(catkin REQUIRED COMPONENTS genmsg rosjava_build_tools)

##############################################################################
# Catkin
##############################################################################

catkin_package(
  CATKIN_DEPENDS genmsg rosjava_build_tools
  CFG_EXTRAS
    genjava-extras.cmake
    genjava-catkin-api.cmake
)

catkin_python_setup()

##############################################################################
# Installs
##############################################################################

add_subdirectory(scripts)

file(WRITE ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/genjava "Java")
install(FILES ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/genjava
  DESTINATION ${GENMSG_LANGS_DESTINATION})

##############################################################################
# Tests
##############################################################################

#if(CATKIN_ENABLE_TESTING)
#  catkin_add_nosetests(test)
#endif()

=== debian/changelog ===
ros-indigo-genjava (0.1.5-0trusty) trusty; urgency=high

  * Fix bug package directory path, cherry-picked from kinetic
  * Added a more descriptive and helpful error message when a required package is not found in the mesasge package index.
  * Contributors: Daniel Stonier, Julian Cerruti, Martin Pecka, Perrine Aguiar

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 30 Mar 2017 03:00:00 -0000

ros-indigo-genjava (0.1.4-0trusty) trusty; urgency=high

  * generate_rosjava_messages cmake api needs the rosjava environment.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 01 Mar 2015 03:00:00 -0000

ros-indigo-genjava (0.1.3-0trusty) trusty; urgency=high

  * add data parts to the python package.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 28 Feb 2015 03:00:00 -0000

ros-indigo-genjava (0.1.2-0trusty) trusty; urgency=high

  * bugfix genjava dir variable settings, fixes #1 <https://github.com/rosjava/genjava/issues/1>
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 27 Feb 2015 03:00:00 -0000

ros-indigo-genjava (0.1.1-0trusty) trusty; urgency=high

  * command line tools for building messages from the command line
  * cmake api for building messages from catkin
  * genjava api for building messages on the fly
  * prototype version, builds mini gradle projects for each package
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 25 Feb 2015 03:00:00 -0000

=== debian/control ===
Source: ros-indigo-genjava
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, python-rospkg, ros-indigo-catkin (>= 0.5.78), ros-indigo-genmsg, ros-indigo-rosjava-bootstrap, ros-indigo-rosjava-build-tools
Homepage: http://www.ros.org/wiki/genjava
Standards-Version: 3.9.2

Package: ros-indigo-genjava
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-catkin-pkg, python-rospkg, ros-indigo-genmsg, ros-indigo-rosjava-bootstrap, ros-indigo-rosjava-build-tools
Description: Java ROS message and service generators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-genjava//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
